/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package data;

/**
 *
 * @author Tom
 */
public class INoteAmount {
   private String name = ""; //C, C#, D, ....
   private int octave = -1; //-1 bis 9
   private int amount = 0; //entspricht dem Anteil in Prozent
   private int pitch = Integer.MIN_VALUE; //pitch MIDI-Standard
   private int category = -1; //id der zugehoerigen Kategorie

   public String getName() {
      return name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public int getOctave() {
      return octave;
   }

   public void setOctave(int octave) {
      this.octave = octave;
   }

   public int getAmount() {
      return amount;
   }

   public void setAmount(int amount) {
      this.amount = amount;
   }

   public int getCategory() {
      return category;
   }

   public void setCategory(int category) {
      this.category = category;
   }

    public int getPitch() {
        return pitch;
    }

    public void setPitch(int pitch) {
        this.pitch = pitch;
    }
   
   @Override
   public String toString() {
      return name +" " +octave +" " +amount +" " +pitch +" " +category;
   }
}
